# Poco

# class OutputLineEndingConverter

Library: Foundation
Package: Streams
Header: Poco/LineEndingConverter.h

## Description

OutputLineEndingConverter performs line ending conversion on text output streams. The converter can convert from and to the Unix (LF), Mac (CR) and DOS/Windows/Network (CF-LF) endings.

Any newline sequence in the source will be replaced by the target newline sequence.

## Inheritance

Direct Base Classes: LineEndingConverterIOS, std::ostream

All Base Classes: LineEndingConverterIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: getNewLine, rdbuf, setNewLine

## Constructors

### OutputLineEndingConverter

OutputLineEndingConverter(
std::ostream & ostr
);

Creates the LineEndingConverterOutputStream and connects it to the given input stream.

### OutputLineEndingConverter

OutputLineEndingConverter(
std::ostream & ostr,
const std::string & newLineCharacters
);

Creates the LineEndingConverterOutputStream and connects it to the given input stream.

## Destructor

### ~OutputLineEndingConverter

~OutputLineEndingConverter();

Destroys the LineEndingConverterOutputStream.